{ pkgs, config, ... }:
{
  imports = [
    ./nginx
    ./liquidsoap
  ];

  services.icecast = {
    enable = config.system.server.enable;
    listen.port = 265;
    hostname = "radio.${config.domains.p2}";
    admin = {
      user = "jimbo";
      password = "${config.secrets.castAdminPass}";
    };
    extraConf = ''
      <authentication>
        <source-password>${config.secrets.castSourcePass}</source-password>
      </authentication>
      
      <location>Canada</location>
      <admin>contact@${config.domains.p2}</admin>
    '';
  };
}
