{ config, ... }:
{
  imports = [ ./nginx ];

  services.lemmy = {
    enable = config.system.server.enable;
    nginx.enable = true;
    database.createLocally = true;
    settings = {
      hostname = "lemmy.${config.domains.p1}";
      email = {
        smtp_server = "mx.${config.domains.p1}:587";
        smtp_login = "noreply@${config.domains.p1}";
        smtp_from_address = "NixFox Lemmy <noreply@${config.domains.p1}>";
        smtp_password = config.secrets.noreplyPassword;
        tls_type = "starttls";
      };
    };
  };
}
